Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stonith-2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/stonith-2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stonith-2.exp
@@ -1,64 +1,63 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="1"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="50" operation="monitor" operation_key="rsc_sles-5_monitor_5000" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394">
+      <rsc_op id="51" operation="monitor" operation_key="rsc_sles-5_monitor_5000" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394">
         <primitive id="rsc_sles-5" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="sles-6" CRM_meta_on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394" CRM_meta_timeout="20000"  ip="192.168.100.188"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="49" operation="start" operation_key="rsc_sles-5_start_0" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394"/>
+        <rsc_op id="50" operation="start" operation_key="rsc_sles-5_start_0" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="49" operation="start" operation_key="rsc_sles-5_start_0" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394">
+      <rsc_op id="50" operation="start" operation_key="rsc_sles-5_start_0" on_node="sles-6" on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394">
         <primitive id="rsc_sles-5" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="sles-6" CRM_meta_on_node_uuid="e7840e57-67e1-44dc-9804-edd22d282394" CRM_meta_timeout="20000"  ip="192.168.100.188"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="96" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <crm_event id="96" operation="stonith" operation_key="stonith-sles-5-reboot" on_node="sles-5" on_node_uuid="434915c6-7b40-4d30-95ff-dc0ff3dc005a">
-        <attributes CRM_meta_on_node="sles-5" CRM_meta_on_node_uuid="434915c6-7b40-4d30-95ff-dc0ff3dc005a" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="434915c6-7b40-4d30-95ff-dc0ff3dc005a"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="3">
-    <action_set>
-      <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="96" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="96" operation="stonith" operation_key="stonith-sles-5-reboot" on_node="sles-5" on_node_uuid="434915c6-7b40-4d30-95ff-dc0ff3dc005a"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-sles-5-reboot" on_node="sles-5" on_node_uuid="434915c6-7b40-4d30-95ff-dc0ff3dc005a"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="4">
+  <synapse id="3">
     <action_set>
-      <pseudo_event id="26" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="27" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="96" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="4">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-sles-5-reboot" on_node="sles-5" on_node_uuid="434915c6-7b40-4d30-95ff-dc0ff3dc005a">
+        <attributes CRM_meta_on_node="sles-5" CRM_meta_on_node_uuid="434915c6-7b40-4d30-95ff-dc0ff3dc005a" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="434915c6-7b40-4d30-95ff-dc0ff3dc005a"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stonith-4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/stonith-4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stonith-4.exp
@@ -1,81 +1,81 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <crm_event id="10" operation="stonith" operation_key="stonith-pcmk-8-reboot" on_node="pcmk-8" on_node_uuid="108">
-        <attributes CRM_meta_on_node="pcmk-8" CRM_meta_on_node_uuid="108" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="108"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete">
+        <attributes />
+      </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="9" operation="stonith" operation_key="stonith-pcmk-7-reboot" on_node="pcmk-7" on_node_uuid="107"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-pcmk-8-reboot" on_node="pcmk-8" on_node_uuid="108"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="9" operation="stonith" operation_key="stonith-pcmk-7-reboot" on_node="pcmk-7" on_node_uuid="107">
-        <attributes CRM_meta_on_node="pcmk-7" CRM_meta_on_node_uuid="107" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="107"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="5" operation="all_stopped" operation_key="all_stopped">
+        <attributes />
+      </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="8" operation="stonith" operation_key="stonith-pcmk-5-reboot" on_node="pcmk-5" on_node_uuid="105"/>
+        <pseudo_event id="10" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <crm_event id="8" operation="stonith" operation_key="stonith-pcmk-5-reboot" on_node="pcmk-5" on_node_uuid="105">
-        <attributes CRM_meta_on_node="pcmk-5" CRM_meta_on_node_uuid="105" CRM_meta_stonith_action="reboot" />
+      <crm_event id="4" operation="stonith" operation_key="stonith-pcmk-10-reboot" on_node="pcmk-10" on_node_uuid="110">
+        <attributes CRM_meta_on_node="pcmk-10" CRM_meta_on_node_uuid="110" CRM_meta_stonith_action="reboot" />
         <downed>
-          <node id="105"/>
+          <node id="110"/>
         </downed>
       </crm_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="7" operation="stonith" operation_key="stonith-pcmk-10-reboot" on_node="pcmk-10" on_node_uuid="110"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="3">
     <action_set>
-      <crm_event id="7" operation="stonith" operation_key="stonith-pcmk-10-reboot" on_node="pcmk-10" on_node_uuid="110">
-        <attributes CRM_meta_on_node="pcmk-10" CRM_meta_on_node_uuid="110" CRM_meta_stonith_action="reboot" />
+      <crm_event id="3" operation="stonith" operation_key="stonith-pcmk-8-reboot" on_node="pcmk-8" on_node_uuid="108">
+        <attributes CRM_meta_on_node="pcmk-8" CRM_meta_on_node_uuid="108" CRM_meta_stonith_action="reboot" />
         <downed>
-          <node id="110"/>
+          <node id="108"/>
         </downed>
       </crm_event>
     </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <crm_event id="2" operation="stonith" operation_key="stonith-pcmk-7-reboot" on_node="pcmk-7" on_node_uuid="107"/>
+      </trigger>
+    </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="6" operation="stonith_complete" operation_key="stonith_complete">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="2" operation="stonith" operation_key="stonith-pcmk-7-reboot" on_node="pcmk-7" on_node_uuid="107">
+        <attributes CRM_meta_on_node="pcmk-7" CRM_meta_on_node_uuid="107" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="107"/>
+        </downed>
+      </crm_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="10" operation="stonith" operation_key="stonith-pcmk-8-reboot" on_node="pcmk-8" on_node_uuid="108"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-5-reboot" on_node="pcmk-5" on_node_uuid="105"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-5-reboot" on_node="pcmk-5" on_node_uuid="105">
+        <attributes CRM_meta_on_node="pcmk-5" CRM_meta_on_node_uuid="105" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="105"/>
+        </downed>
+      </crm_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="stonith_complete" operation_key="stonith_complete"/>
+        <crm_event id="4" operation="stonith" operation_key="stonith-pcmk-10-reboot" on_node="pcmk-10" on_node_uuid="110"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stop-failure-no-quorum.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/stop-failure-no-quorum.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stop-failure-no-quorum.exp
@@ -1,82 +1,82 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0">
+      <pseudo_event id="11" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="clvm-clone_stop_0"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
       </trigger>
       <trigger>
-        <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
+        <pseudo_event id="17" operation="stop" operation_key="clvm-clone_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1" priority="1000000">
     <action_set>
-      <pseudo_event id="15" operation="stopped" operation_key="clvm-clone_stopped_0">
+      <pseudo_event id="18" operation="stopped" operation_key="clvm-clone_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
+        <pseudo_event id="11" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="clvm-clone_stop_0"/>
+        <pseudo_event id="17" operation="stop" operation_key="clvm-clone_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="14" operation="stop" operation_key="clvm-clone_stop_0">
+      <pseudo_event id="17" operation="stop" operation_key="clvm-clone_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102">
-        <attributes CRM_meta_fail_count_clvm="INFINITY" CRM_meta_last_failure_clvm="1371014555" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_probe_complete="true" CRM_meta_shutdown="1371014551" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="102"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="4">
-    <action_set>
-      <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="5">
+  <synapse id="4">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
+        <pseudo_event id="11" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="5">
+    <action_set>
+      <crm_event id="2" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102">
+        <attributes CRM_meta_fail_count_clvm="INFINITY" CRM_meta_last_failure_clvm="1371014555" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_probe_complete="true" CRM_meta_shutdown="1371014551" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="102"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stop-failure-with-fencing.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/stop-failure-with-fencing.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/stop-failure-with-fencing.exp
@@ -1,49 +1,49 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="9" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0">
+      <pseudo_event id="12" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="clvm-clone_stop_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
       </trigger>
       <trigger>
-        <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
+        <pseudo_event id="17" operation="stop" operation_key="clvm-clone_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1" priority="1000000">
     <action_set>
-      <pseudo_event id="15" operation="stopped" operation_key="clvm-clone_stopped_0">
+      <pseudo_event id="18" operation="stopped" operation_key="clvm-clone_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="9" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
+        <pseudo_event id="12" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="clvm-clone_stop_0"/>
+        <pseudo_event id="17" operation="stop" operation_key="clvm-clone_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="14" operation="stop" operation_key="clvm-clone_stop_0">
+      <pseudo_event id="17" operation="stop" operation_key="clvm-clone_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="Fencing_monitor_0" on_node="pcmk-1" on_node_uuid="101">
+      <rsc_op id="5" operation="monitor" operation_key="Fencing_monitor_0" on_node="pcmk-1" on_node_uuid="101">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="101" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -52,43 +52,43 @@
   </synapse>
   <synapse id="4">
     <action_set>
-      <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102">
-        <attributes CRM_meta_fail_count_clvm="INFINITY" CRM_meta_last_failure_clvm="1371014555" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_probe_complete="true" CRM_meta_shutdown="1371014551" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="102"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="5">
-    <action_set>
-      <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="20" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="6">
+  <synapse id="5">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="Fencing_monitor_0" on_node="pcmk-1" on_node_uuid="101"/>
+        <rsc_op id="5" operation="monitor" operation_key="Fencing_monitor_0" on_node="pcmk-1" on_node_uuid="101"/>
       </trigger>
       <trigger>
-        <pseudo_event id="9" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
+        <pseudo_event id="12" operation="stop" operation_key="clvm_stop_0" internal_operation_key="clvm:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="6">
+    <action_set>
+      <crm_event id="3" operation="stonith" operation_key="stonith-pcmk-2-reboot" on_node="pcmk-2" on_node_uuid="102">
+        <attributes CRM_meta_fail_count_clvm="INFINITY" CRM_meta_last_failure_clvm="1371014555" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="102" CRM_meta_probe_complete="true" CRM_meta_shutdown="1371014551" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="102"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/suicide-needed-inquorate.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/suicide-needed-inquorate.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/suicide-needed-inquorate.exp
@@ -1,67 +1,67 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="3">
-        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="3" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="3"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete">
+        <attributes />
+      </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="4" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_op_no_wait="true" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="2"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
+        <attributes />
+      </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="3"/>
+        <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="1" CRM_meta_stonith_action="reboot" />
+      <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="3">
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="3" CRM_meta_stonith_action="reboot" />
         <downed>
-          <node id="1"/>
+          <node id="3"/>
         </downed>
       </crm_event>
     </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+      </trigger>
+    </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="2" operation="stonith_complete" operation_key="stonith_complete">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_op_no_wait="true" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="2"/>
+        </downed>
+      </crm_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="4" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="2"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="1"/>
+        </downed>
+      </crm_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <pseudo_event id="2" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
 </transition_graph>
